{% extends 'base.html' %}
{% load static %}

{% block content %}
<link rel="stylesheet" type="text/css" href="{% static 'myapp/css/client_home.css' %}">
<h2 id="formTitle">Form Questions</h2>
<form id="form" method="post" action="{% url 'client_home' %}">
  {% csrf_token %}
  {% for question, answer in user_answers %}
  <div id="formDiv">
      <label>{{ question.question }}</label>
      <input type="text" name="answer_{{ question.id }}" value="{{ answer }}" required>
  </div>
  {% endfor %}
  <button id="submitBtn" type="submit">
      {% if show_update_button %}
          Update Answers
      {% else %}
          Submit Answers
      {% endif %}
  </button>
</form>

<form style="display: flex; justify-content: center;" method="post" action="{% url 'delete_answers' %}">
  {% csrf_token %}
  <button style="align-self: center;
  width: 8em;
  height: 1.5em;
  border: 1px solid;
  background-color: #F9629F;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-family: 'Segoe UI', sans-serif;
  font-size: 1.2em;" type="submit" name="delete_answers">Delete Answers</button>
</form>

{% endblock %}
